Page 1 of 2 1 2 LastLast
Results 1 to 20 of 31

Thread: Enabling PHP Fastcgi option produces 403 Forbidden error

  1. #1
    Kilo Poster
    Join Date
    Dec 2008
    Posts
    12

    Default Enabling PHP Fastcgi option produces 403 Forbidden error

    Hello,

    I recently upgraded to Plesk 9.0. I have set PHP as Fastcgi option for one of my website, and when I tried to access the site it provides the following error:

    "Forbidden
    You don't have permission to access /index.php on this server."

    When I disable .htaccess file, the site works or if I comment out "RewriteEngine On" in the .htaccess file then it works. But, I need "RewriteEngine On" to be set for the full functionality of my website.

    I see the following error in the Apache error log:

    Options FollowSymLinks or SymLinksIfOwnerMatch is off which implies that RewriteRule directive is forbidden: /var/www/vhosts/<hostname>/httpdocs/index.php

    Did anyone come across the same problem? Thanks.



  2. #2
    Kilo Poster
    Join Date
    Jun 2007
    Posts
    25

    Default

    The same problem with FCGI...


    I`ve look on /conf/httpd.include of virtual hosts and found, what FollowSymLinks is included only for *.pl files:

    <IfModule mod_fcgid.c>
    <Files ~ (\.fcgi)>
    SetHandler fcgid-script
    Options +FollowSymLinks +ExecCGI
    </Files>
    </IfModule>


    , but for PHP:

    <Files ~ (\.php)>
    AddHandler php-script .php
    Options ExecCGI
    allow from all
    </Files>

    NO! So... I`ve add +FollowSymLinks and all works ok, but how to fix this for all clients? What the reason is to do not include followsymlinks for php?



  3. #3
    Kilo Poster
    Join Date
    Jun 2007
    Posts
    25

    Default

    Trying to configure for all clients... But still not got luck. Rewrite works, if i use +FollowSymLinks in .htaccess, vhost.conf and httpd.include, but no luck when using in global configuration (in apache2.conf & etc).



  4. #4
    Kilo Poster
    Join Date
    Dec 2008
    Posts
    12

    Default

    Hi,

    Anyone from Parallels please address this issue as none of the websites are working with FastCGI turned on????

    Also, the backup manager doesn't show past backups after the upgrade and produces an error when configuring new backups. This is very crucial.

    ~Yasin



  5. #5
    Mega Poster
    Join Date
    Dec 2008
    Posts
    103

    Default

    Quote Originally Posted by yasmagic View Post
    Hi,

    Anyone from Parallels please address this issue as none of the websites are working with FastCGI turned on????

    Also, the backup manager doesn't show past backups after the upgrade and produces an error when configuring new backups. This is very crucial.

    ~Yasin
    Hi

    Same problem here and also you say you get errors for backups, we get FTP Network Error when trying to use Personal FTP Repository Backups

    And here, here this is also very critical , how about some responses from the forum admins or parallels as to which bugs they are working on as unless we are all took serious then they wont fix all issues that need addessing

    Thanks
    Terry



  6. #6

    Default

    I had the same errors with setting up backup schedules in plesk , however i removed the backup manager with yum then reinstalled it with the updater and now it works perfect. Still have other issues but am resolving them slowly.

    Terry what errors is your personal ftp giving you ? Does it give you the same error if you use an ftp account on your local server?



  7. #7
    Mega Poster
    Join Date
    Dec 2008
    Posts
    103

    Default

    Quote Originally Posted by onsightdata View Post
    I had the same errors with setting up backup schedules in plesk , however i removed the backup manager with yum then reinstalled it with the updater and now it works perfect. Still have other issues but am resolving them slowly.

    Terry what errors is your personal ftp giving you ? Does it give you the same error if you use an ftp account on your local server?
    Hi

    When I try to remove Personalised FTP Repository backups it shows FTP Network Error, and also this appears if I try to copy to the Server Repository. I know FTP details are correct in settings as it creates the backup no problem on the ftp site. I use a remote FTP backup site from 1and1

    Thanks for your help it is much appreciated.
    Terry



  8. #8
    Kilo Poster
    Join Date
    Dec 2008
    Posts
    12

    Default

    Quote Originally Posted by TerryM View Post
    Hi

    When I try to remove Personalised FTP Repository backups it shows FTP Network Error, and also this appears if I try to copy to the Server Repository. I know FTP details are correct in settings as it creates the backup no problem on the ftp site. I use a remote FTP backup site from 1and1

    Thanks for your help it is much appreciated.
    Terry
    Terry,

    I also have an enterprise II root server from 1and1 and my backup manager doesn't work. previously I have stored all ym backups in 1and1 provided FTP repository and after upgrading to Plesk 9.0 I don't see them anymore. When I try to schedule a new backup, it gives a script error.

    ~Yasin



  9. #9
    Mega Poster
    Join Date
    Dec 2008
    Posts
    103

    Default

    Quote Originally Posted by yasmagic View Post
    Terry,

    I also have an enterprise II root server from 1and1 and my backup manager doesn't work. previously I have stored all ym backups in 1and1 provided FTP repository and after upgrading to Plesk 9.0 I don't see them anymore. When I try to schedule a new backup, it gives a script error.

    ~Yasin
    Yasin

    Ok Plesk 9 is not compatible with backups from previous Plesk versions, however there is a migration tool to upgrade them if you prefer to keep those older backups.

    With regards to script errors I dont get those, and it backs up but just cant remove backups or copy to Server Repository.

    Please tell me the full error so I can try to help you fix this, as maybe we can both be of use as we both have 1and1 enterprise servers

    Thanks
    Terry



  10. #10

    Default

    Any solution for the problem with RewriteEngine ?

    Thank you



  11. #11
    Mega Poster
    Join Date
    Dec 2008
    Posts
    103

    Default

    Quote Originally Posted by josesanchez View Post
    Any solution for the problem with RewriteEngine ?

    Thank you
    To be honest it seems Plesk support dont monitor nor reply to these forum posts and none of us seem to know what will or wont be fixed Lets just hope they are working hard on the urgent and very important fixes to bring Plesk back to stability.



  12. #12
    Kilo Poster
    Join Date
    Dec 2008
    Posts
    12

    Default

    Another issue that I found today is that when I have the FastCGI turned on for a website, the form based authentication for my websites doesn't work. It just stays there in the login prompt. When i turned it back to PHP as Apache module, it works. Any idea??



  13. #13
    Bit Poster
    Join Date
    Jan 2009
    Posts
    5

    Default

    Quote Originally Posted by unlo View Post
    Trying to configure for all clients... But still not got luck. Rewrite works, if i use +FollowSymLinks in .htaccess, vhost.conf and httpd.include, but no luck when using in global configuration (in apache2.conf & etc).
    I also seek a global solution to this problem.



  14. #14

    Default

    Hi there,
    is this fixed in the latest update from parallels ?
    Does anyone know this ?

    The problem is the missing + in http.include
    If you change

    <Files ~ (\.php)>
    SetHandler fcgid-script
    FCGIWrapper /usr/bin/php-cgi5 .php
    Options ExecCGI
    allow from all
    </Files>

    to

    <Files ~ (\.php)>
    SetHandler fcgid-script
    FCGIWrapper /usr/bin/php-cgi5 .php
    Options +ExecCGI
    allow from all
    </Files>

    rewrite works, but you lost this changes if the http.include is rewritten by plesk.

    regards
    marcus



  15. #15

    Default

    Gentlemen,

    Please find updated module here ftp://download1.parallels.net/Plesk/...ix/9.0/149347/
    -
    Plesk Service Team || Twitter Facebook RSS



  16. #16
    Mega Poster
    Join Date
    Apr 2006
    Posts
    249

    Default

    same problem for me.

    what's fixing the file sergius please?
    No



  17. #17

    Default

    Quote Originally Posted by GravuTrad View Post
    same problem for me.

    what's fixing the file sergius please?
    Now websrvmng writes into apache config Options +ExecCGI option instead Options ExecCGI



  18. #18

    Default

    Worked like a charm for me....and it even works with my Dolphin site with all it's rewrites.
    www.ZopfWare.com
    Web Hosting and Design services.
    www.intelliwebhosting.com



  19. #19
    Mega Poster
    Join Date
    Apr 2006
    Posts
    249

    Default

    works great, same for the 403 error problem.

    Thanks.
    No



  20. #20
    Mega Poster
    Join Date
    Apr 2006
    Posts
    249

    Default

    hmm, sites are not joinable with this with IE7 in FastCGI mode (maybe CGI too)....

    i have to roll back to apache mode....
    No



Page 1 of 2 1 2 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •